void setup() {
  Matrix_Setup();
}

int laut;
int laut_mittelwert;
int sad;
int gesicht;

// Dieser Wert muss je nach verwendetem Mikrofon
// angepasst werden. Kleinere Werte machen den 
// Ardugotchi dabei empfindlicher.
int schwelle = 50;

void loop() {
  laut = analogRead(0);
  
  // Mittelwert ber die letzten gemessenen Werte, wobei der neue
  // jeweils 1/100 zhlt.
  laut_mittelwert = (laut_mittelwert*99 + laut)/100;
  
  if ((laut - laut_mittelwert) > schwelle)
  {
    // nchstes Gesicht auswhlen, am Ende wieder zum Anfang springen
    gesicht++;
    if (gesicht > 15) gesicht = 1;
    
    // Mittelwert anpassen, damit nicht gleich wieder ein Peak
    // erkannt wird.
    laut_mittelwert = laut;
    
    // Den Zhler fr die schlechte Laune wieder auf 0 setzen
    sad = 0;
  }
  
  // Hoert das Ardugotchi lange genug kein Gerusch, soll es sich
  // einsam fhlen und ein entsprechendes Gesicht anzeigen.
  sad++;
  if (sad > 10000)
  {
    // den Wert auf 10000 begrenzen, sonst ensteht ein berlauf
    sad = 10000;
    
    // Schlecht gelauntes Gesicht auswhlen
    gesicht = 0;
  }
    
  DisplayChar(0x10+gesicht);     // Zeige Gesichter an.
  
  // Geschwindigkeit auf 10x Sekunde begrenzen
  delay(100);
}


