// definiere Zeilen und Spalten als Array vom Typ uint8_t
uint8_t rows[7] = {1, 2, 3, 4, 5, 6, 7};
uint8_t columns[5] = {8, 9, 10, 11, 12};

// Definiere eine 7x5-Matrix. uint8_t ist eine vorzeichenlose 8-Bit-Integer-Variable. Setze das Muster so, dass eine Diagonale angezeigt wird.
uint8_t matrix[7][5] = { 
  { 1, 0, 0, 0, 0},
  { 0, 1, 0, 0, 0},
  { 0, 1, 0, 0, 0},
  { 0, 0, 1, 0, 0},
  { 0, 0, 1, 0, 0},
  { 0, 0, 0, 1, 0},
  { 0, 0, 0, 0, 1},
};

void setup() {
  for (int i = 0; i < 7; i++) {
    pinMode(rows[i], OUTPUT);
  }
  for (int i = 0; i < 5; i++) {
    pinMode(columns[i], OUTPUT);
  }
}

void showMatrix() {
  // durchlaufe alle fnf Spalten
  for (int x = 0; x < 5; x++) {
    // setze vorherige Zeile auf 0
    // fr jede Zeile setze den Wert der Matrix auf den entsprechenden Pin
    for (int y = 0; y < 7; y++) {
      digitalWrite(rows[y], !matrix[y][x]);
    } 
      // setze aktuelle Spalte auf 1
     digitalWrite(columns[x], 1);
     delay(1);
     // Lsche aktuelle Spalte
     digitalWrite(columns[x], 0);
  }
}

void loop() {
  showMatrix();  
}


